Migration vers la v4

De Documentation e-comBox
Révision datée du 17 juin 2024 à 23:33 par Aporaf (discussion | contributions) (→‎Migration vers la 4.3)
(diff) ◂ Version précédente | Voir la version actuelle (diff) | Version suivante ▸ (diff)
La migration a été testée mais on ne sait jamais. Si vous migrez de la v3, assurez-vous de disposer d'une sauvegarde (script /opt/e-comBox/sauv_sites.sh).

Si vous migrez des versions 4.1 ou 4.2 :

  • Inutile de lire ce qui suit, vous savez déjà comment ça marche. Il suffit de remplacer dans /opt/e-combox/configure_application.sh la valeur du paramètre BRANCHE par "4.3" et de relancer la configuration : bash /opt/e-combox/configure_application.sh.
  • Si vous voulez configurer l'authentification avec OpenID Connect, voir ici.

Migration vers la 4.3

Principe de fonctionnement de la migration

Le script configure_application.sh permet une installation automatisé. Il installe l'e-comBox à partir du fichier /opt/e-combox/param.conf (qui a été enrichi de nouveaux paramètres - voir ici) sans interaction avec l'utilisateur.

Pour avoir des exemples concrets d'exécution du script avec les options, voir ici


Au lancement du script, la nouvelle version du fichier param.conf est récupérée. Les paramètres sont automatiquement alimentés avec les valeurs de l'ancien param.conf et les options éventuellement passées en ligne de commande.

À noter qu'il est également possible de modifier (si besoin) directement n'importe quel fichier /opt/e-comBox/param.conf existant (avec l'utilitaire de votre choix comme "nano" ou "vi") et de lancer le script configure_application.sh sans option.

En tant qu'administrateur et sans avoir désinstallé la v3 ou la v4 :

Si vous ne disposez pas de compte avec les droits administrateur, il est nécessaire d'utiliser "sudo". Par exemple, "sudo bash configure_application.sh ..."

1. Télécharger la dernière version du script :

wget  https://forge.apps.education.fr/e-combox/e-combox_scriptslinux/raw/4.3/configure_application.sh --output-document configure_application.sh

2. Lancer la commande avec au minimum l'option -p pour fixer le mot de passe de Portainer, sachant que ce dernier doit correspondre au mot de passe effectivement en vigueur sur Portainer (pour les autres options, voir ci-après) :

bash configure_application.sh -p "votre_mdp_portainer"
Le script récupère tous les autres paramètres dans votre ancien fichier /opt/e-comBox/param.conf. D'autres options peuvent éventuellement être nécessaires.


Si vous migrez à partir de la v3, seule une adresse IP est renseignée :

  • si cette adresse IP est privée, elle sera associée au paramètre ADRESSE_IP_PRIVEE ;
  • si cette adresse IP est publique, elle sera associée au paramètre DOMAINE. Mais il manquera alors dans ce dernier cas, l'adresse IP privée qui est un paramètre obligatoire pour le bon fonctionnement de l'application. la commande est alors :
bash configure_application.sh -i "votre_adresse_IP_privée" -p "votre_mdp_portainer"
Le script détecte qu'une version 3 de l'e-comBox est installée, vous informe qu'une migration des sites est nécessaire mais sans danger et poursuit l'installation.

Le script installe ensuite la 4.3 puis migre (met à jour) les sites préalablement créés avec la V3. La migration peut prendre du temps si vous avez beaucoup de sites. Un dossier ''migration'' est créé dans ''/opt/e-comBox'' dans lequel on trouvera tous les logs relatifs à la migration.

Le premier démarrage des sites peut être long car les images doivent être de nouveau téléchargées.

Si vous migrez à partir de la v4, les paramètres à renseigner à ce niveau n'ont pas été modifiés, il ne devrait pas y avoir de problème.

L'ancien fichier param.conf est sauvegardé (param.conf.old) Le nouveau fichier param.conf est téléchargé et les valeurs sont alimentés par les valeurs de votre ancien fichier.

Que vous migriez à partir de la v3 ou de la v4, dans le doute, vous pouvez renseigner d'autres paramètres (qui prendrons le pas sur le contenu du fichier param.conf). Ci dessous une commande complète si un reverse proxy externe est installé

bash configure_application.sh -i "votre_adresse_IP_privée" -p "votre_mdp_portainer" -d "votre_nom_de_domaine" -r "O" -c "chemin"
À partir de la version des scripts 4.1.1 (20/04/2023), tous les "B" majuscule dans les noms de dossier basculent en "b" minuscule :
- le dossier d'installation /opt/e-comBox devient /opt/e-combox ;
- le dossier /opt/ecomBox/e-comBox_reverseproxy devient /opt/ecombox/e-combox_reverseproxy ;
- le dossier /opt/ecomBox/e-comBox_portainer devient /opt/ecombox/e-combox_portainer.
...
Pour en savoir plus sur l'installation automatisée de la V4, suivre le lien Installation sur Linux.

Migration vers la 4.0 (obsolète)

En tant qu'administrateur et sans avoir désinstallé la V3 :

  1. Modifier la valeur de la variable "BRANCHE" dans le fichier /opt/e-comBox/configure_application.sh : remplacer "v3" par "v4".
  2. Lancer la commande :
    bash /opt/e-comBox/configure_application.sh
Le script détecte qu'une version 3 de l'e-comBox est installée, vous informe qu'une migration des sites est nécessaire mais sans danger d'autant plus qu'une sauvegarde des anciens sites a été réalisée et propose de poursuivre.


Pour installer la V4 et répondre correctement aux questions posées, suivre le lien Installation sur Linux.

Le script installe ensuite la V4 puis migre (met à jour) les sites préalablement créés avec la V3. La migration peut prendre du temps si vous avez beaucoup de sites.Un dossier migration est créé dans /opt/e-comBox dans lequel on trouvera tous les logs relatifs à la migration.

Le premier démarrage des sites peut être long car les images doivent être de nouveau téléchargées.